Name:           gvrecord
Version:        0.5
Release:        1%{?dist}
Summary:        Simple Tool To Record Gnome Shell Screen
BuildArch:  noarch
License:        GPLv3
URL:            https://arfedora.blogspot.com
Source0:        https://github.com/yucefsourani/gvrecord/archive/%{version}.tar.gz
BuildRequires:  python3-rpm-macros
BuildRequires:  python3
Requires:       python3
Requires:       python3-gobject
Requires:       pygobject3  
Requires:       python3-dbus 
Requires:       gstreamer1-plugins-good
Requires:       gstreamer1-plugins-base 
Requires:   pygnomescast
Requires:   sox
Requires:   ffmpeg
Requires:       alsa-utils

%description
Simple Tool To Record Gnome Shell Screen.

%package -n pygnomescast
Summary:    Pygnomescast librarie For gvrecord


%description -n pygnomescast
Python librarie To Record Desktop on Gnome Sell.

%prep
%autosetup



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{python3_sitelib}

install -pDm0755 ./gvrecord.py %{buildroot}%{_bindir}/gvrecord
cp ./org.github.yucefsourani.gvrecord.desktop %{buildroot}%{_datadir}/applications
cp ./org.github.yucefsourani.gvrecord.png %{buildroot}%{_datadir}/pixmaps
cp -r ./pygnomescast %{buildroot}%{python3_sitelib}/pygnomescast

%files
%license LICENSE
%doc README.md
%{_bindir}/gvrecord
%{_datadir}/applications/org.github.yucefsourani.gvrecord.desktop
%{_datadir}/pixmaps/org.github.yucefsourani.gvrecord.png

%files -n  pygnomescast
%{python3_sitelib}/pygnomescast

%changelog
* Wed May 02 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.5-1
- Version 0.5

* Sun Apr 29 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.4-1
- Version 0.4

* Tue Apr 04 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.3-3
- Release 3 Fix bug #1563789

* Tue Apr 03 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.3-2
- Release 2

* Tue Apr 03 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.3-1
- V0.3

* Fri Oct 27 2017 yucefsourani <youssef.m.sourani@gmail.com> - 0.2-1
- Update TO 0.2beta

* Tue Oct 24 2017 yucefsourani <youssef.m.sourani@gmail.com> - 0.1-1
- Initial For Fedora 26


